
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 用户
 */

import { request } from '../index'

// 我的下级用户
const relations = data => {
	return request({
		url		: 'user/relations',
		data
	})
}

// 我的邀请码
const code = () => {
	return request({
		url		: 'user/invite',
	})
}

// 用户基础信息
const info = () => {
	return request({
		url		: 'app/user/info'
	})
}

// 获取用户信息
const userInfo = () => {
	return request({
		url		: 'user'
	})
}

// 更新用户资料
const updInfo = (key, value) => {
	return request({
		url		: 'user/setting/' + key,
		method	: 'PUT',
		data	: {
			value
		}
	})
}

// 用户认证状态
const certified = () => {
	return request({
		url		: 'user/certified'
	})
}

// 用户认证
const certification = data => {
	return request({
		url		: 'user/certification',
		method  : 'POST',
		data
	})
}

// 获取身份证认证信息
const identityOcr = () => {
	return request({
		url		: 'user/certification'
	})
}

// 获取签名地址
const eSigns = data => {
	return request({
		url		: 'e-signs/authorize/psn',
		data
	})
}

// 账户信息 - 基础资料
const userInfoBase = () => {
	return request({
		url		: 'user/base',
	})
}

// 账户信息 - 机构列表
const userInfoBanks = () => {
	return request({
		url		: 'user/base/banks',
	})
}

// 账户信息 - 机构详情
const userInfoBank = id => {
	return request({
		url		: 'user/base/' + id + '/bank',
	})
}

// 获取省市区
const getRegion = id => {
	return request({
		url		: 'region',
		data	: {
			parent_id: id || ''
		}
	})
}

// 确认绑定关系
const relationsVerify = (invite, type) => {
	return request({
		url: 'user/relations/verify',
		data: {
			type,
			invite
		}
	})
}

// 绑定分享关系
const relationsBind = (invite, type) => {
	return request({
		url: 'user/relations/bind',
		data: {
			type,
			invite
		},
		method: 'POST'
	})
}

// 提交运营中心别名
const submitTeamName = (data) => {
	return request({
		url: 'user/team',
		data:data,
		method: 'POST'
	})
}
//  获取运营中心记录
const getTeam = (data) => {
	return request({
		url		: 'user/team',
        data:data,
	})
}

//  获取运营中心记录
const getTeamLogs = data => {
	return request({
		url: 'user/team/logs',
		data
	})
}

// 签约记录
const getSignLogs = data => {
	return request({
		url: 'business/flows',
		data
	})
}

// 获取签约合同
const getFlows = id => {
	return request({
		url: 'e-signs/flows/' + id
	})
}

// 获取所有省市数据
const createCity = (data) =>{
	return request({
		url: "region/pro_city",
		data: data
	})
}

export {
	relations,
	code,
	info,
	userInfo,
	updInfo,
	certified,
	certification,
	identityOcr,
	eSigns,
	userInfoBase,
	userInfoBanks,
	userInfoBank,
	getRegion,
	relationsVerify,
	relationsBind,
    submitTeamName,
    getTeam,
    getTeamLogs,
	getSignLogs,
	getFlows,
	createCity
}
